Skip to main content
GET
/
api
/
v1
/
integration-keys
/
{provider}
Get the active or invalid integration key for one provider (masked).
curl --request GET \
  --url https://api.backside.app/api/v1/integration-keys/{provider} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": "<unknown>",
  "provider": "<string>",
  "status": "<string>",
  "key_hint": "<string>",
  "label": "<string>",
  "last_verified_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider
string
required

Provider identifier

Response

Integration key status

Public summary of one integration key row. Never includes the decrypted credential — only key_hint (last 4 chars) is exposed.

created_at
string<date-time>
required
id
string<uuid>
required
metadata
any
required
provider
string
required
status
string
required
key_hint
string | null
label
string | null
last_verified_at
string<date-time> | null